m68k_sync_icache(2)

NAME
m68k_sync_icache - instruction cache synchronization

LIBRARY
libm68k

SYNOPSIS
#include <sys/types.h>
#include <m68k/sync_icache.h>
void
m68k_sync_icache(void *start, size_t size);

DESCRIPTION
m68k_sync_icache() synchronizes data and instruction caches over the specified region. It should be called prior to executing newly generated code.

The affected address range starts at start and continues for size bytes. If start is 0, all the address space of the current execution thread is affected. Addresses outside the specified region may be synchronized, too.

The call always succeeds.

SEE ALSO
arm32_sync_icache(2)

HISTORY
m68k_sync_icache() appeared first in NetBSD 1.4.

AUTHORS
Ignatios Souvatzis